---
- name: Install backupninja
  apt:
    name: ['backupninja', 'borgbackup']

- name: Create local backup directory
  file:
    path: "{{ local_backup_directory }}"
    state: directory
    mode: "0755"
  when: do_local_backup

- name: Configure local backup
  template:
    src: "templates/srvToLocal.borg.j2"
    dest: "/etc/backup.d/90-srvToLocal.borg"
    mode: "0740"
  when: do_local_backup

- name: Configure external backup
  template:
    src: "templates/srvToExternal.borg.j2"
    dest: "/etc/backup.d/91-srvToExternal.borg"
    mode: "0740"
  when: do_external_backup

- name: Configure pre backup script
  template:
    src: "templates/preBackup.sh.j2"
    dest: "/etc/backup.d/00-preBackup.sh"
    mode: "0740"
  when: do_pre_backup_script

# - name: Execute all db backup scripts
#   command: find /srv/docker-compose/ -maxdepth 2 -name backup-db.sh -exec {} \;

- name: do the first backup
  command: backupninja --now
  when: do_first_backup